Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Replace RDoc with YARD

  • Loading branch information...
commit 15fa645ff4cdfa8c181292fea36e9d685f00e88f 1 parent 9f1c12b
@sferik authored
Showing with 3 additions and 8 deletions.
  1. +3 −6 Rakefile
  2. +0 −2  twitter.gemspec
View
9 Rakefile
@@ -18,12 +18,9 @@ end
task :default => ["spec:rcov"]
-require 'rake/rdoctask'
-Rake::RDocTask.new do |rdoc|
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = "twitter #{Twitter::VERSION}"
- rdoc.rdoc_files.include('README*')
- rdoc.rdoc_files.include('lib/**/*.rb')
+require 'yard'
+YARD::Rake::YardocTask.new do |task|
+ task.options += ['--title', "Twitter #{Twitter::VERSION} Documentation"]
end
desc "Upload website files to rubyforge"
View
2  twitter.gemspec
@@ -25,12 +25,10 @@ Gem::Specification.new do |s|
s.description = %q{A Ruby wrapper for the Twitter REST and Search APIs}
s.email = ["nunemaker@gmail.com"]
s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
- s.extra_rdoc_files = ["README.rdoc"]
s.files = `git ls-files`.split("\n")
s.homepage = "http://rubygems.org/gems/twitter"
s.name = "twitter"
s.platform = Gem::Platform::RUBY
- s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6") if s.respond_to? :required_rubygems_version=
s.rubyforge_project = "twitter"
Please sign in to comment.
Something went wrong with that request. Please try again.